'use client'
import React from 'react'
import { Button } from "@heroui/react";
import { Image } from "@heroui/image";
import { FaRegCheckCircle } from "react-icons/fa";
import { CgMoreO } from "react-icons/cg";
import { IoMailOutline } from "react-icons/io5";
import Footer from '@/components/Footer';
import Link from 'next/link';

const page = () => {
    return (
        <>
            <main className='mx-3 xl:mx-20 mt-3 xl:mt-10 mb-10 lg:mb-28'>
                {/* HERO SECTION */}
                <div
                    className="flex flex-col justify-center items-start h-[12rem] p-5 md:p-10 rounded-3xl bg-cover bg-center bg-fixed"
                    style={{
                        backgroundImage: "url('/old-hero.jpg')",
                    }}
                >
                    <p className='text-white text-sm md:text-medium font-medium'><Link className='hover:underline' href={'/'}>HOME</Link> / <Link href={'/service'} className="hover:underline">SERVICE</Link> / <Link href={'/service/roofing'} className="hover:underline text-yellow-500">ROOFING</Link></p>
                    <p className="text-white font-semibold text-4xl lg:text-5xl mt-3">Roofing</p>
                </div>
                {/* HERO SECTION */}

                {/* SECTION 1 */}
                <div className='mt-10'>
                    <p className='text-2xl md:text-4xl font-semibold mt-3 text-slate-800'>Why choose C&C?</p>
                    <p className='text-medium md:text-xl mt-5 md:mt-8 text-gray-600 leading-8'>When it comes to roofing, we know there are a plethora of options available to you. So why choose C&C?  Most will promise you this and that, but will leave out details, cut corners, or just disappear after the job is finished.</p>
                    <p className='text-medium md:text-xl mt-2 font-light text-gray-600 leading-8'>Many other companies will also be sure to drop their years of experience in this industry when it should really be about the amount of knowledge in the industry and the desire to do what is best for the customer no questions asked.</p>
                </div>
                {/* SECTION 1 */}
                <hr className='my-10' />

                {/* SECTION 2 */}
                <div className='mt-5 lg:mt-28 flex flex-col md:flex-row gap-5 md:gap-0'>

                    <div className='w-full md:w-1/2'>
                        <p className='text-2xl md:text-4xl font-semibold mt-3 text-slate-800'>
                            C&C's Core Phoilosophy</p>
                        <div className="lists mt-8 flex ml-5 flex-col gap-3">
                            <div className='flex items-start gap-4'>
                                <FaRegCheckCircle className='text-yellow-500 text-[1.8rem] hidden lg:block' />
                                <span className="text-yellow-500 lg:hidden">-</span>
                                <p className='text-lg md:text-xl'>We stand behind our work until perfection and our customer's satisfaction.</p>
                            </div>
                            <p className='flex items-start lg:items-center gap-4 text-lg md:text-xl'><FaRegCheckCircle className='text-yellow-500 hidden lg:block' /> <span className="text-yellow-500 lg:hidden">-</span> We look at every job as it is our own home.</p>
                            <div className='flex items-start gap-4'>
                                <FaRegCheckCircle className='text-yellow-500 text-[1.8rem] hidden lg:block' />
                                <span className="text-yellow-500 lg:hidden">-</span>
                                <p className='text-lg md:text-xl'>We reflect our experience and passion on every job we do, no matter the size.</p>
                            </div>
                        </div>

                    </div>
                    <div className='w-full md:w-1/2'>
                        <Image
                            isBlurred
                            src='/service/roofing-2.jpg'
                            alt='img'
                            className='w-3/4 mx-auto'
                        />
                    </div>
                </div>
                {/* SECTION 2 */}
                <hr className='mt-16 mb-10' />



                {/* SECTION 3 */}
                <div>
                    <p className='text-2xl md:text-4xl font-semibold mt-3 text-slate-800'>We work with your insurance company</p>
                    <p className='text-medium md:text-xl mt-8 text-gray-600 leading-8'>When it comes to roofing, we know there are a plethora of options available to you. So why choose C&C?  Most will promise you this and that, but will leave out details, cut corners, or just disappear after the job is finished.</p>
                </div>
                {/* SECTION 3 */}
                <hr className='my-10' />
                <div>
                    <p className='text-2xl md:text-4xl font-semibold mt-3 text-slate-800'>
                        When you choose C&C, we will:</p>
                    <div className="lists mt-8 flex ml-5 flex-col gap-3">
                        <p className='flex items-start lg:items-center gap-4 text-lg md:text-xl'><FaRegCheckCircle className='text-yellow-500 hidden lg:block' /> <span className="text-yellow-500 lg:hidden">-</span> Inspect your property to verify scope</p>
                        <p className='flex items-start lg:items-center gap-4 text-lg md:text-xl'><FaRegCheckCircle className='text-yellow-500 hidden lg:block' /> <span className="text-yellow-500 lg:hidden">-</span> Analyze what all your insurance estimate includes</p>
                        <p className='flex items-start lg:items-center gap-4 text-lg md:text-xl'><FaRegCheckCircle className='text-yellow-500 hidden lg:block' /> <span className="text-yellow-500 lg:hidden">-</span> Make necessary corrections for your insurance company's approval</p>
                        <p className='flex items-start lg:items-center gap-4 text-lg md:text-xl'><FaRegCheckCircle className='text-yellow-500 hidden lg:block' /> <span className="text-yellow-500 lg:hidden">-</span> Complete restoration the way it should be</p>
                    </div>
                </div>
                <hr className='my-10 md:my-20' />

                <div className='flex flex-col md:flex-row gap-5 md:gap-0'>
                    <div className='w-full md:w-1/2'>
                        <Image
                            isBlurred
                            src='/service/roofing-3.jpg'
                            alt='img'
                            className='w-3/4 mx-auto'
                        />
                    </div>

                    <div className='w-full md:w-1/2 flex flex-col justify-center'>
                        <p className='text-2xl md:text-4xl font-semibold mt-3 text-slate-800'>
                            Free inspection</p>
                        <p className='text-lg md:text-xl mt-5 md:mt-8 text-gray-600 leading-8'>Whether or not you choose us in the end, we're more than happy to come take a look and tell you the current condition of  your roof.</p>

                    </div>

                </div>
                <hr className='my-10 md:my-20' />

                <div className='flex flex-col md:flex-row gap-5 md:gap-0'>
                    <div className='w-full md:w-1/2 flex flex-col justify-center'>
                        <p className='text-2xl md:text-4xl font-semibold mt-3 text-slate-800'>
                            We present all available options/upgrades</p>
                        <p className='text-lg md:text-xl mt-5 md:mt-8 text-gray-600 leading-8'><Link href={'/contact'} className="text-yellow-500 hover:underline">Contact us</Link> to learn more.</p>

                    </div>

                    <div className='w-full md:w-1/2'>
                        <Image
                            isBlurred
                            src='/service/roofing-4.jpg'
                            alt='img'
                            className='w-3/4 mx-auto'
                        />
                    </div>



                </div>

                {/* LETS START SECTION */}
                <div className="mt-6 lg:mt-28 flex flex-col md:flex-row rounded-3xl bg-green-100/30">

                    <div className='w-full md:w-1/2 p-3 md:p-10'>
                        <p className='text-4xl lg:text-5xl font-semibold mt-3 text-slate-800'>Let's build something great <span className="text-yellow-500">together</span></p>
                        <p className='text-lg lg:text-xl mt-8 text-gray-600 leading-8'>Don’t wait any longer to bring your construction dreams to life. Partner with C&CGC and experience unparalleled service and quality.</p>
                        <Button as={Link} href='/contact' className='mt-5 lg:mt-10' variant='shadow' size='md' color='warning'>Contact Us <IoMailOutline /></Button>
                    </div>
                    <div className='w-full md:w-1/2 flex items-end'>
                        <Image
                            isBlurred
                            src='/cta.png'
                            alt='cta'
                            className='w-3/4 mx-auto'
                        />
                    </div>
                </div>
                {/* LETS START SECTION */}
            </main>
            <Footer />
        </>
    )
}

export default page